/**********************************************************
***********************************************************
*               European Southern Observatory
*       VLTI MIDI Data Reduction Image Quality Software
*
* Module name:  procAcq.h
* Description:  
*
*
* History:      
* 25-Apr-05     (csabet) created
***********************************************************
**********************************************************/
#ifndef _PROC_ACQ_H
#define _PROC_ACQ_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Global Variables 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void procAcq (
    MidiFiles	*fileNames,
    int			*error);

void compressAcq (
    char			*inFitsFile,
    int				extNumOfImagingDataFile,
    ImageQuality	*compressed,
    ImageFormat		*format,
    int				*error);

void assessImageQuality (
	char			*fileName,
    ImageQuality	*compressed,
    ImageFormat		*format,
    int				*error);

/*****************************************************************************/

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

