/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  createProdDetLin.h
* Description:  
*
*
* History:      
* 14-Jun-04     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PROD_DET_LIN_H
#define _CREATE_PROD_DET_LIN_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void createDetLinProd (
    MidiFiles 		*fileNames,
    ImageFormat		*format,
	int				numOfFiles,
    DetLinearity	*linearity,
    int				*error);

void createDetLinPrimHead (
    MidiFiles   	*fileNames,
    ImageFormat		*format,
    int				size,
    DetLinearity	*linearity,
    int				*error);

void createDetLinQcLog (
	char	*inFitsName,
	int		*error);
    
void addProdInfoToDetLinQcLog (
    ImageFormat		*format,
	MidiFiles		*fileNames,
    DetLinearity	*linearity,
	int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

